/*global $,owl,smoothScroll,WOW,NProgress*/
$(document).ready(function () {
    "use strict";

    $('[data-tool="tooltip"]').tooltip({
        trigger: 'hover',
        animate: true,
        delay: 50,
        container: 'body'
    });
    
    $('.soon-wrap').height(window.innerHeight);


    //for smoth scroll
    smoothScroll.init({
        speed: 800,
        updateURL: false,
        offset: 15
    });

    var wow = new WOW({
        boxClass: 'wow', // animated element css class (default is wow)
        animateClass: 'animated', // animation css class (default is animated)
        mobile: true, // trigger animations on mobile devices (default is true)
        live: true,
        offset: 0,
        scrollContainer: null // optional scroll container selector, otherwise use window
    });
    wow.init();

    /* ---------------------------------------------
     Scrool To Top Button Function
    --------------------------------------------- */
    $(window).scroll(function () {
        if ($(this).scrollTop() > 500) {
            $(".toTop").css("right", "20px");
        } else {
            $(".toTop").css("right", "-60px");
        }
    });

    $(".toTop").click(function () {
        $("html,body").animate({
            scrollTop: 0
        }, 500);
        return false;
    });


    //customize the header
    $(window).scroll(function () {
        if ($(this).scrollTop() > 0) {
            $('.main-head').addClass('sticky');
        } else {
            $('.main-head').removeClass('sticky');
        }
    });

    $('.side-nav').mCustomScrollbar({
        autoHideScrollbar: false,
        setTop: 0,
        scrollInertia: 50,
        theme: "light-1"
    });
    $('.sidebar').mCustomScrollbar({
        autoHideScrollbar: false,
        setTop: 0,
        scrollInertia: 50,
        theme: "dark-2",
        mouseWheel: {
            preventDefault: true
        }
    });



    $('.search-area, .open-search').on("click", function (e) {
        e.stopPropagation();
    });

    
    $('.open-sidebar').on('click', function () {
        $('.wrapper').stop();
        $('.wrapper').toggleClass('shifted');
        $('.r-overlay').addClass('active');
        $(this).addClass('active');
        $('html,body').toggleClass('stopped');
    });

    $('.r-overlay').on('click', function () {
        $('.wrapper').toggleClass('shifted');
        $('.r-overlay').removeClass('active');
        $('.open-sidebar').removeClass('active');
        $('html,body').toggleClass('stopped');
    });


    NProgress.configure({
        showSpinner: false
    });
    NProgress.start();
    $('#nprogress .peg').css({
        'box-shadow': '0 0 10px #ff5858, 0 0 5px #ff5858'
    });
    NProgress.done();


    if ($('.select2').length) {
        $('.select2').select2();
    }

    if ($('.select-nosearch').length) {
        $('.select-nosearch').select2({
            minimumResultsForSearch: Infinity
        });
    }
    
});